Subject: Re: bug#8500: util: where am i

From: Bob Proulx <[email-masked]>
Date: Fri, 15 Apr 2011 14:42:53 -0600

Erik Auerswald wrote:
> uname -n

A problem with uname is that traditionally this would truncate names
to eight characters.  (I once had a hostname "aphrodite" and it would
always emit "aphrodit".)  The uname structures are really problematic.
I recommend avoiding them.

> All in all I don't see a need for a 'whereami' utility at all.

For what it is worth I agree.  What is available is already available.
And what isn't available such as gps location isn't possible to be
available and would have severe privacy concerns if it were.

Bob

P.S. I have always wanted a utility to send lightning bolts out of the
keyboard just like what is shown in the movies when someone is
repelling a computer attack.  But I don't think I will ever get that
one either.